# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaShellShearStiffness Class Reference

Representation of STEP entity FeaShellShearStiffness
.

`#include <StepFEA_FeaShellShearStiffness.hxx>`

Inheritance diagram for StepFEA_FeaShellShearStiffness:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_FeaShellShearStiffness ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const StepFEA_SymmetricTensor22d &aFeaConstants)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepFEA_SymmetricTensor22d | FeaConstants () const
| Returns field FeaConstants .
Standard_EXPORT void | SetFeaConstants (const StepFEA_SymmetricTensor22d &FeaConstants)
| Set field FeaConstants .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepFEA_SymmetricTensor22d | theFeaConstants

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaShellShearStiffness::StepFEA_FeaShellShearStiffness | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepFEA_SymmetricTensor22d StepFEA_FeaShellShearStiffness::FeaConstants | ( |  | ) | const

Standard_EXPORT const StepFEA_FeaShellShearStiffness::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_FeaMaterialPropertyRepresentationItem.

Standard_EXPORT void StepFEA_FeaShellShearStiffness::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const StepFEA_SymmetricTensor22d & | aFeaConstants
| ) |

Standard_EXPORT void StepFEA_FeaShellShearStiffness::SetFeaConstants | ( | const StepFEA_SymmetricTensor22d & | FeaConstants | ) |

## Field Documentation

StepFEA_SymmetricTensor22d StepFEA_FeaShellShearStiffness::theFeaConstants`[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaShellShearStiffness.hxx